Remote Desktop Services Manager

You can use Remote Desktop Services Manager to view information about and monitor users, sessions, and processes on Remote Desktop Session Host (RD Session Host) servers. You can also perform certain administrative tasks; for example, you can disconnect or log off users from their Remote Desktop Services sessions.

You can configure and manage Remote Desktop Services by using the Windows interface, a command prompt, or Windows PowerShell. These Help topics describe methods for using the Windows interface and, in some cases, the command prompt. For more information about using Windows PowerShell with Remote Desktop Services, see the Remote Desktop Services Technical Reference (http://go.microsoft.com/fwlink/?LinkId=139898).

Note

Remote Desktop Services Manager is not used for managing RemoteApp and Desktop Connection. To manage RemoteApp and Desktop Connection, use Remote Desktop Connection Manager on the Remote Desktop Connection Broker (RD Connection Broker) server. For more information, see the Remote Desktop Connection Manager Help in Windows Server® 2008 R2.

The following topics are covered:

  • Overview of Remote Desktop Services Manager

  • Managing Users, Sessions, and Processes

  • Managing Remote Desktop Session Host (RD Session Host) Servers

  • Managing Remote Desktop Session Host (RD Session Host) Server Groups

Additional references

  • Remote Desktop Services page on the Windows Server 2008 R2 TechCenter (http://go.microsoft.com/fwlink/?LinkID=138055)


Overview of Remote Desktop Services Manager

You can use Remote Desktop Services Manager to view information about and monitor users, sessions, and processes on a Remote Desktop Session Host (RD Session Host) server running Windows Server® 2008 R2, Windows Server 2008, or Windows Server 2003. You can also perform certain administrative tasks; for example, you can disconnect or log off users from their Remote Desktop Services sessions.

Note

The RD Session Host server can be a member of an Active Directory domain or a member of a workgroup.

When a user creates a session by connecting to an RD Session Host server from a client computer, the following information is available in Remote Desktop Services Manager:

  • Users tab: Information is displayed about the user connected to the RD Session Host server, such as the name of the user account that is logged on to the session. For more information about what information is displayed on the Users tab, see View Users Connected to an RD Session Host Server.

  • Sessions tab: Information is displayed about the session running on the RD Session Host server, such as whether the session is active. For more information about what information is displayed on the Sessions tab, see View Sessions Running on an RD Session Host Server.

  • Processes tab: Information is displayed about which programs are running in the user's session on the RD Session Host server. For more information about what information is displayed on the Processes tab, see View Processes Running on an RD Session Host Server.

The following topics are covered:

  • Running Remote Desktop Services Manager

  • Configuring Remote Desktop Services Manager Options

  • Understanding Remote Desktop Services Manager Permissions


Running Remote Desktop Services Manager

You can run Remote Desktop Services Manager from any of the following locations:

  • Start menu

  • Server Manager

  • Microsoft Management Console

Note

Remote Desktop Services Manager is only available in Server Manager if the Remote Desktop Services role is installed on the computer. In addition, when you use Remote Desktop Services Manager in Server Manager, you can only monitor the Remote Desktop Session Host (RD Session Host) server on which you are running Server Manager; you cannot monitor additional RD Session Host servers, and RD Session Host server groups are not available.

To run Remote Desktop Services Manager from the Start menu

  • Click Start, point to Administrative Tools, point to Remote Desktop Services, and then click Remote Desktop Services Manager.

  • Click Start, click Run, type tsadmin.msc, and then press ENTER.
To run Remote Desktop Services Manager from Server Manager

  1. Click Start, point to Administrative Tools, and then click Server Manager.

  2. In the left pane, expand Roles.

  3. Expand Remote Desktop Services, and then click Remote Desktop Services Manager.
To run Remote Desktop Services Manager from the Microsoft Management Console

  1. Click Start, click Run, type mmc, and then press ENTER.

  2. On the File menu, click Add/Remove Snap-in.

  3. Under Available snap-ins, click Remote Desktop Services Manager, and then click Add.

  4. In the Select Computer dialog box, select whether you want to connect to the local computer or to another computer. If you select Another Computer, either type in the name of the computer or use Browse to search for the computer.

  5. Click OK.

  6. In the Add or Remove Snap-ins dialog box, click OK.

Additional references

  • Overview of Remote Desktop Services Manager


Configuring Remote Desktop Services Manager Options

In Remote Desktop Services Manager, you can configure the refresh interval for the following:

  • Processes list

  • Status dialog boxes

The refresh intervals can be set to either manual or to a specific number of seconds.

In addition, you can also configure whether:

  • Actions taken in Remote Desktop Services Manager need to be confirmed.

  • Settings are saved when you exit Remote Desktop Services Manager.

  • Connection states to Remote Desktop Session Host (RD Session Host) servers are remembered when you exit Remote Desktop Services Manager.

To configure Remote Desktop Services Manager options

  1. In Remote Desktop Services Manager, in the left pane, right-click Remote Desktop Services Manager, and then click Options.

  2. In the Options dialog box, select your preferred configuration settings.

Additional references

  • Overview of Remote Desktop Services Manager

  • Running Remote Desktop Services Manager


Understanding Remote Desktop Services Manager Permissions

Remote Desktop Services permissions are used to control which users or groups can perform particular tasks on the Remote Desktop Session Host (RD Session Host) server, such as remotely controlling a user session.

You can manage permissions on a per connection basis in Remote Desktop Session Host Configuration. The permissions are listed on the Security tab in the Properties dialog box for the connection.

The connection permissions that are set in Remote Desktop Session Host Configuration determine the actions that a given user can perform in Remote Desktop Services Manager. For example, a user must have at least the Remote Control special access permission in order to remotely control a user session by using Remote Desktop Services Manager.

The following is a list of some of the special permissions that you can set in Remote Desktop Session Host Configuration and the capability that each level of permission provides.

Permission | Capability
Query Information | Query sessions and RD Session Host servers for information.
Remote Control | View or actively control another user's session.
Logon | Log on to a session on the RD Session Host server.
Logoff | Log off a user from a session.
Message | Send a message to a user session.
Connect | Connect to another user session.
Disconnect | Disconnect a user session.

For more information about setting permissions in Remote Desktop Session Host Configuration, see the topic "Configure Security Settings for Remote Desktop Services Connections" in the Remote Desktop Session Host Configuration Help in Windows Server 2008 R2.

Additional references

  • Overview of Remote Desktop Services Manager


Managing Users, Sessions, and Processes

You can use Remote Desktop Services Manager to view information about and monitor users, sessions, and processes on Remote Desktop Session Host (RD Session Host) servers running Windows Server 2008 R2, Windows Server 2008, or Windows Server 2003. You can also perform certain administrative tasks; for example, you can disconnect or log off users from their Remote Desktop Services sessions.

The following topics are covered:

  • View Users Connected to an RD Session Host Server

  • View Sessions Running on an RD Session Host Server

  • View Processes Running on an RD Session Host Server

  • Connect to a User Session

  • Disconnect a User from a Session

  • Log Off a User from a Session

  • Remotely Control a User Session

  • Send a Message to a User

  • End a Process Running in a User Session

  • Reset a User Session

  • Refresh User Session Information

  • View Status Information for a User Session

  • Use Command-Line Tools


View Users Connected to an RD Session Host Server

You can view information about users that are connected to a Remote Desktop Session Host (RD Session Host) server on the Users tab in Remote Desktop Services Manager.

The following is a list of the columns that are listed on the Users tab and a description of what information will be displayed in each column.

Column | Description
Server | The name of the RD Session Host server to which the user is logged on.
User | The name of the user account that is logged on to the RD Session Host server.
Session | The session on the RD Session Host server associated with the user.
ID | The numeric ID that identifies the session to the RD Session Host server.
State | The status of a session. For information about session states, see View Sessions Running on an RD Session Host Server.
IdleTime | The number of minutes that have elapsed since the last keyboard or mouse input to a session.
LogOnTime | The date and time at which the user logged on, if applicable.

Additional references

  • Managing Users, Sessions, and Processes


View Sessions Running on an RD Session Host Server

You can view information about sessions running on a Remote Desktop Session Host (RD Session Host) server on the Sessions tab in Remote Desktop Services Manager.

There are three sessions that you will always see displayed on the Sessions tab in Remote Desktop Services Manager:

  • Services The session that contains various system processes on the RD Session Host server.

  • Listener The session that listens for and accepts new Remote Desktop Protocol (RDP) client connections, thereby creating new sessions on the RD Session Host server.

  • Console The session that you connect to if you log on to the physical console of the computer, instead of connecting remotely.

The following is a list of the columns that are listed on the Sessions tab and a description of what information will be displayed in each column.

Column | Description
Server | The RD Session Host server with which the session is associated.
Session | The session running on the RD Session Host server.
User | The user account that is associated with the session.
ID | The numeric ID that identifies the session to the RD Session Host server.
State | The status of a session. For more information, see Session states.
Type | The type of remote desktop client using the session.
ClientName | The name of the client computer using the session, if applicable.
IdleTime | The number of minutes that have elapsed since the last keyboard or mouse input to a session.
LogOnTime | The date and time at which the user logged on, if applicable.
Comment | Additional information about the session, such as its location. This field is optional.

Session states

The following is a list of session states that might be displayed in the State column on the Sessions tab in Remote Desktop Services Manager, and a description of each state.

Session state | Description
Active | The session is connected, and a user is logged on to the RD Session Host server.
Connected | The session is connected, but there is no user logged on to the RD Session Host server.
ConnectQuery | The session is in the process of connecting. If this state continues, it indicates a problem with the connection.
Shadow | The session is in the process of being remotely controlled by another session.
Listen | The session is ready to accept a client connection.
Disconnected | The user is disconnected from the session, but the session is still attached to the RD Session Host server and can be reconnected to at any time.
Reset | The session is in the process of being reset.
Idle | The session is initialized and ready to accept a connection. To optimize the performance of a server, two default (idle) sessions are initialized before any client connections are made.
Down | The session failed to initialize correctly or could not be terminated, and is not available. If this state continues, it indicates a problem with the connection of the session.
Init | The session is in the process of initializing.

Additional references

  • Managing Users, Sessions, and Processes


View Processes Running on an RD Session Host Server

You can view information about processes that are running on a Remote Desktop Session Host (RD Session Host) server on the Processes tab in Remote Desktop Services Manager.

The following is a list of the columns that are listed on the Processes tab and a description of what information will be displayed in each column.

Column | Description
Server | The RD Session Host server with which the process is associated.
User | The user account that is associated with the process.
Session | The session on the RD Session Host server that is associated with the process.
ID | The numeric ID that identifies the session to the RD Session Host server.
PID | The numeric ID that identifies the process to the RD Session Host server.
Image | The executable program that created the process on the RD Session Host server.

Additional references

  • Managing Users, Sessions, and Processes

  • Running Remote Desktop Services Manager

  • End a Process Running in a User Session


Connect to a User Session

You can connect to a user session in Remote Desktop Services Manager by using the Connect action.

To connect to a user session

  1. In Remote Desktop Services Manager, in the left pane, click the Remote Desktop Session Host (RD Session Host) server on which the user session is running.

  2. To connect to the user session, do either of the following:

    • On the Users tab, right-click the user session, and then click Connect.

    • On the Sessions tab, right-click the user session, and then click Connect.

  3. Click OK to connect to the user session.

Additional considerations

  • You can always connect to your own sessions if you are logged on with the same user account.

  • To connect to the session of another user, you must have Full Control access permission or Connect special access permission.

  • You can connect to a user session only if the user session is in either an active or disconnected state.

  • You can only connect to a user session from within an existing remote session on the same RD Session Host server.

  • You can use the tscon command-line tool to connect to a user session.

Additional references

  • Managing Users, Sessions, and Processes

  • Running Remote Desktop Services Manager

  • Disconnect a User from a Session

  • Use Command-Line Tools

  • Understanding Remote Desktop Services Manager Permissions


Disconnect a User from a Session

You can disconnect a user from a session in Remote Desktop Services Manager by using the Disconnect action.

To disconnect a user from a session

  1. In Remote Desktop Services Manager, in the left pane, click the Remote Desktop Session Host (RD Session Host) server on which the user session is running.

  2. To disconnect the user from the session, do either of the following:

    • On the Users tab, right-click the user session, and then click Disconnect.

    • On the Sessions tab, right-click the user session, and then click Disconnect.

  3. Click OK to disconnect the user from the session.

Additional considerations

  • You can always disconnect from your own sessions if you are logged on with the same user account.

  • To disconnect another user from a session, you must have Full Control permission or Disconnect special access permission.

  • All processes running in the session, including applications, will continue to run even after you disconnect the session.

  • You can use the tsdiscon command-line tool to disconnect a user from a session.

Additional references

  • Managing Users, Sessions, and Processes

  • Running Remote Desktop Services Manager

  • Send a Message to a User

  • Use Command-Line Tools

  • Understanding Remote Desktop Services Manager Permissions


Log Off a User from a Session

You can log off a user from a session in Remote Desktop Services Manager by using the Log Off action.

To log off a user from a session

  1. In Remote Desktop Services Manager, in the left pane, click the Remote Desktop Session Host (RD Session Host) server on which the user session is running.

  2. On the Users tab, right-click the user that you want to log off, and then click Log Off.

  3. Click OK to log off the user from the session.

Additional considerations

  • You can always log off from your own sessions if you are logged on with the same user account.

  • To log off another user from a session, you must have Full Control permission.

  • Logging off a user from a session without warning can result in loss of data on the user's session. You should send a message to the user to warn the user before taking this action.

  • When you log off a user from a session, all processes end, and the session is deleted from the RD Session Host server.

  • You can use the logoff command-line tool to log off a user from a session.

Additional references

  • Managing Users, Sessions, and Processes

  • Running Remote Desktop Services Manager

  • Send a Message to a User

  • Use Command-Line Tools

  • Understanding Remote Desktop Services Manager Permissions


Remotely Control a User Session

You can remotely control a user session in Remote Desktop Services Manager by using the Remote Control action.

To remotely control a user session

  1. In Remote Desktop Services Manager, in the left pane, click the Remote Desktop Session Host (RD Session Host) server on which the user session is running.

  2. To remotely control a user session, do either of the following:

    • On the Users tab, right-click the user session, and then click Remote Control.

    • On the Sessions tab, right-click the user session, and then click Remote Control.

  3. In the Remote Control dialog box, under Hot key, select the keys that you want to use to end the remote control session.

  4. Click OK to start the remote control session.

  5. To end the remote control session, press the keys that you specified in Step 3.

Additional considerations

  • You can always remotely control your own sessions (except the current session).

  • You can only remotely control another session from within a remote session.

  • To remotely control another user's session, you must have Full Control permission or Remote Control special access permission.

  • To configure remote control settings for a connection, use Remote Desktop Session Host Configuration. To configure remote control settings for a particular user account, use the Remote Desktop Services extensions to Local Users and Groups and Active Directory Users and Computers.

  • You can either view or actively control the session. If you choose to actively control a user's session, you will be able to input keyboard and mouse actions to the session.

  • Before monitoring begins, the server warns the user that the session is about to be remotely controlled, unless this warning is disabled. Your session might appear to be frozen for a few seconds while it waits for a response from the user.

  • Your session must be capable of supporting the video resolution used at the session that you are remotely controlling, or the operation fails.

  • You can use the shadow command-line tool to remotely control a user session.

Additional references

  • Managing Users, Sessions, and Processes

  • Running Remote Desktop Services Manager

  • Use Command-Line Tools

  • Understanding Remote Desktop Services Manager Permissions


Send a Message to a User

You can send a message to a user session in Remote Desktop Services Manager by using the Send Message action.

To send a message to a user

  1. In Remote Desktop Services Manager, in the left pane, click the Remote Desktop Session Host (RD Session Host) server on which the user session is running.

  2. To send a message to a user, do either of the following:

    • On the Users tab, right-click the user session, and then click Send Message.

    • On the Sessions tab, right-click the user session, and then click Send Message.

  3. In the Send Message dialog box, type the message that you want to send to the user. To start a new line in the message, press CTRL+ENTER.

  4. To send the message to the user, click OK.

Additional considerations

  • You must have Message special access permission to send a message to a user.

  • You can send messages only to users whose sessions are in the active or connected state.

  • You can send messages to notify users of impending disconnection, server status, or other system information.

  • You can use the msg command-line tool to send a message to a user.

Additional references

  • Managing Users, Sessions, and Processes

  • Running Remote Desktop Services Manager

  • Disconnect a User from a Session

  • Log Off a User from a Session

  • Reset a User Session

  • Use Command-Line Tools

  • Understanding Remote Desktop Services Manager Permissions


End a Process Running in a User Session

You can end a process running in a user session by using the End Process action in Remote Desktop Services Manager.

Important

Ending a process running in a user session without warning the user can result in a loss of data for the user that is using that session.

To end a process running in a user session

  1. In Remote Desktop Services Manager, in the left pane, click the Remote Desktop Session Host (RD Session Host) server on which the user session is running.

  2. On the Processes tab, right-click the process that you want to end, and then click End Process.

  3. Click OK to end the process.

Additional considerations

  • You must have Full Control permission to end a process running in a user session.

  • You might need to end a process if the application is not responding.

  • When all processes that are running in a session end, the session also ends.

  • You can use the tskill command-line tool to end a process running in a user session.

Additional references

  • Managing Users, Sessions, and Processes

  • Running Remote Desktop Services Manager

  • Send a Message to a User

  • Use Command-Line Tools

  • Understanding Remote Desktop Services Manager Permissions


Reset a User Session

You can reset a user session in Remote Desktop Services Manager by using the Reset action. When you reset a user session, the session is immediately deleted from the Remote Desktop Session Host (RD Session Host) server.

Important

Resetting a user session without warning the user will result in a loss of data for the user that is using that session.

To reset a user session

  1. In Remote Desktop Services Manager, in the left pane, click the RD Session Host server on which the user session is running.

  2. To reset the user session, do either of the following:

    • On the Users tab, right-click the user session, and then click Reset.

    • On the Sessions tab, right-click the user session, and then click Reset.

  3. Click OK to reset the user session.

Additional considerations

  • You can always reset your own sessions if you are logged on with the same user account.

  • To reset another user's session, you must have Full Control access permission.

  • You should reset a session only when it malfunctions or appears to have stopped responding.

  • If you reset a listener session, all sessions that use that connection are reset.

  • You can use the reset session or the rwinsta command-line tool to reset a user session.

Additional references

  • Managing Users, Sessions, and Processes

  • Running Remote Desktop Services Manager

  • Send a Message to a User

  • Use Command-Line Tools

  • Understanding Remote Desktop Services Manager Permissions


Refresh User Session Information

You can update the information displayed on the Users, Sessions, and Processes tabs in Remote Desktop Services Manager by using the Refresh action.

By default, information on the Processes tab in Remote Desktop Services Manager is automatically refreshed every 5 seconds. You can configure the refresh interval in the Options dialog box.

To refresh user session information

  1. In Remote Desktop Services Manager, in the left pane, click the Remote Desktop Session Host (RD Session Host) server for which you want to refresh the user session information.

  2. To refresh the specific user session information, do one of the following:

    • Click the Users tab, and then on the Action menu, click Refresh.

    • Click the Sessions tab, and then on the Action menu, click Refresh.

    • Click the Processes tab, and then on the Action menu, click Refresh.

Additional references

  • Managing Users, Sessions, and Processes

  • Running Remote Desktop Services Manager

  • Configuring Remote Desktop Services Manager Options


View Status Information for a User Session

You can view additional information about a user session in Remote Desktop Services Manager by using the Status action.

To view status information for a user session

  1. In Remote Desktop Services Manager, in the left pane, click the Remote Desktop Session Host (RD Session Host) server on which the user session is running.

  2. To view the status information for the user session, do either of the following:

    • On the Users tab, right-click the user session, and then click Status.

    • On the Sessions tab, right-click the user session, and then click Status.

  3. The information in the dialog box will be automatically refreshed every second. You can configure the refresh interval in the Options dialog box.

The following is a list of some of the information that is displayed when you view the status information for a user session in Remote Desktop Services Manager.

Field | Description
User Name | The name of the user account that is logged on to the session on the RD Session Host server.
Network Adapter | The network adapter card on the RD Session Host server through which the session is connected.
Client name | The name of the client computer.
Client address | The IP address of the client.
Client build number | The version of the software installed on the client computer.
Client directory | The directory in which the client is installed.
Client color depth | The number of colors in the color palette used for the remote session.
Encryption Level | The encryption level being used for this session.
Client Resolution | The video resolution of the remote session.

Additional considerations

  • You can always view status information for your own sessions.

  • To view status information for another user's session, you must have Full Control permission or Query Information special access permission.

  • You cannot view status information for the console or listener sessions.

Additional references

  • Managing Users, Sessions, and Processes

  • Running Remote Desktop Services Manager

  • Configuring Remote Desktop Services Manager Options

  • Understanding Remote Desktop Services Manager Permissions


Use Command-Line Tools

Many of the actions that you perform in Remote Desktop Services Manager can also be performed by using command-line tools.

The following is a list of some of the actions that you perform in Remote Desktop Services Manager and the command-line tool that can be used to accomplish the same action.

For more information about command-line tools for Remote Desktop Services, see the Remote Desktop Services Technical Reference (http://go.microsoft.com/fwlink/?LinkId=138135).

Action in Remote Desktop Services Manager | Command-line tool
Log off a user from a session on a Remote Desktop Session Host (RD Session Host) server and delete the session from the server. | logoff
Send a message to a user on an RD Session Host server. | msg
Display information about processes that are running on an RD Session Host server. | qprocess
Display information about processes, sessions, and RD Session Host servers. | query
Display information about processes that are running on an RD Session Host server. | query process
Display information about sessions on an RD Session Host server. | query session
Display information about user sessions on an RD Session Host server. | query user
Display information about user sessions on an RD Session Host server. | quser
Display information about sessions on an RD Session Host server. | qwinsta
Reset (delete) a session on an RD Session Host server. | reset session
Reset (delete) a session on an RD Session Host server. | rwinsta
Remotely control an active session of another user on an RD Session Host server. | shadow
Connect to another session on an RD Session Host server. | tscon
Disconnect a session from an RD Session Host server. | tsdiscon
End a process running in a session on an RD Session Host server. | tskill

Additional references

  • Managing Users, Sessions, and Processes


Managing Remote Desktop Session Host (RD Session Host) Servers

When you are connected to a Remote Desktop Session Host (RD Session Host) server in Remote Desktop Services Manager, Remote Desktop Services Manager actively queries the RD Session Host server for information about the sessions and processes running on that RD Session Host server.

If you do not need to actively monitor the sessions and processes on the RD Session Host server, you can disconnect from the RD Session Host server.

The following topics are covered:

  • Connect to an RD Session Host Server

  • Disconnect from an RD Session Host Server


Connect to an RD Session Host Server

When you connect to a Remote Desktop Session Host (RD Session Host) server in Remote Desktop Services Manager, Remote Desktop Services Manager queries the RD Session Host server for information about the sessions and processes running on that RD Session Host server.

By default, Remote Desktop Services Manager will remember the connection state of RD Session Host servers when you exit Remote Desktop Services Manager. You can change this setting in the Options dialog box.

To connect to an RD Session Host server that is not listed

  1. In Remote Desktop Services Manager, in the left pane, click Remote Desktop Services Manager.

  2. On the Action menu, click Connect to Computer.

  3. In the Select Computer dialog box, select whether you want to connect to the local computer or to another computer. If you select Another Computer, you can type the NetBIOS name, the fully qualified domain name (FQDN), or the IP address of the computer. You can use Browse to search for the computer.

  4. Click OK. The computer will appear in the left pane and a green up arrow on the icon associated with the computer indicates that you are connected to the computer. The computer will be identified by its NetBIOS name, FQDN, or IP address, depending on what you provided in Step 3.
To connect to an RD Session Host server that has been disconnected

  1. In Remote Desktop Services Manager, in the left pane, click the RD Session Host server to which you want to connect. A red down arrow on the icon associated with the computer indicates that you are not connected to the computer.

  2. On the Action menu, click Connect. A green up arrow on the icon associated with the computer indicates that you are connected to the computer.

Additional references

  • Managing Remote Desktop Session Host (RD Session Host) Servers

  • Running Remote Desktop Services Manager

  • Disconnect from an RD Session Host Server

  • Configuring Remote Desktop Services Manager Options


Disconnect from an RD Session Host Server

You can disconnect from a Remote Desktop Session Host (RD Session Host) server in Remote Desktop Services Manager if you do not need to actively monitor the sessions and processes on the RD Session Host server.

To disconnect from an RD Session Host server

  1. In Remote Desktop Services Manager, in the left pane, click the RD Session Host server from which you want to disconnect.

  2. On the Action menu, click Disconnect. A red down arrow on the icon associated with the computer indicates that you are no longer connected to the computer.
To disconnect from all RD Session Host servers in an RD Session Host server group

  1. In Remote Desktop Services Manager, in the left pane, click the RD Session Host server group that you want to disconnect from all RD Session Host servers that are a member of that group.

  2. On the Action menu, click Disconnect All. A red down arrow on the icon associated with the computer indicates that you are no longer connected to the computer.

Additional references

  • Managing Remote Desktop Session Host (RD Session Host) Servers

  • Running Remote Desktop Services Manager

  • Connect to an RD Session Host Server


Managing Remote Desktop Session Host (RD Session Host) Server Groups

You can use Remote Desktop Session Host (RD Session Host) server groups in Remote Desktop Services Manager to help you organize the RD Session Host servers that you want to manage.

The following topics are covered:

  • Create an RD Session Host Server Group

  • Add an RD Session Host Server to an RD Session Host Server Group

  • Remove an RD Session Host Server from an RD Session Host Server Group

  • Empty an RD Session Host Server Group

  • Rename an RD Session Host Server Group

  • Delete an RD Session Host Server Group

  • Import from RD Connection Broker


Create an RD Session Host Server Group

You can create a Remote Desktop Session Host (RD Session Host) server group in Remote Desktop Services Manager to help you organize the RD Session Host servers that you want to manage.

To create an RD Session Host server group

  1. In Remote Desktop Services Manager, in the left pane, click Remote Desktop Services Manager.

  2. On the Action menu, click New Group.

  3. In the Create Group dialog box, type the name for the group, and then click OK.

    The RD Session Host server group that you created will now appear at the end of the list of RD Session Host server groups in the left pane.

Additional considerations

  • An RD Session Host server can be a member of more than one RD Session Host server group in Remote Desktop Services Manager.

  • You can create multiple RD Session Host server groups in Remote Desktop Services Manager, but you cannot nest RD Session Host server groups; that is, you cannot create an RD Session Host server group within another RD Session Host server group.

  • An RD Session Host server group named My Group is automatically created in Remote Desktop Services Manager.

  • You cannot change the order in which the RD Session Host server groups appear in the left pane.

  • An RD Session Host server group name is limited to 255 alphanumeric characters.

  • Duplicate RD Session Host server group names are not allowed.

  • The list of RD Session Host server groups and information about which RD Session Host servers are members of which groups are stored on a per user basis.

Additional references

  • Managing Remote Desktop Session Host (RD Session Host) Server Groups

  • Running Remote Desktop Services Manager

  • Add an RD Session Host Server to an RD Session Host Server Group


Add an RD Session Host Server to an RD Session Host Server Group

A Remote Desktop Session Host (RD Session Host) server can be a member of more than one RD Session Host server group in Remote Desktop Services Manager.

To add an RD Session Host server to an RD Session Host server group by using the Add Computer action

  1. In Remote Desktop Services Manager, in the left pane, click the RD Session Host server group to which you want to add the RD Session Host server.

  2. On the Action menu, click Add Computer.

  3. In the Select Computer dialog box, select whether you want to connect to the local computer or to another computer. If you select Another Computer, you can type the NetBIOS name, the fully qualified domain name (FQDN), or the IP address of the computer. You can use Browse to search for the computer.

  4. Click OK. The computer will now appear in the RD Session Host server group in the left pane, and Remote Desktop Services Manager will automatically try to connect to the computer. The computer will be identified by its NetBIOS name, FQDN, or IP address, depending on what you provided in Step 3.
To add an RD Session Host server to an RD Session Host server group by using the Add to Group action

  1. In Remote Desktop Services Manager, in the left pane, click the name of the RD Session Host server that you want to add to an RD Session Host server group.

  2. On the Action menu, click Add to Group.

  3. In the Remote Desktop Services Manager dialog box, a list of RD Session Host server groups appears. If an appropriate RD Session Host server group is not listed, you can click Create Group to create a new RD Session Host server group.

  4. In the Remote Desktop Services Manager dialog box, select the name of the RD Session Host server group to which you want to add the RD Session Host server, and then click OK. The RD Session Host server will now appear in the RD Session Host server group in the left pane, and Remote Desktop Services Manager will automatically try to connect to the computer.

Additional references

  • Managing Remote Desktop Session Host (RD Session Host) Server Groups

  • Running Remote Desktop Services Manager

  • Create an RD Session Host Server Group


Remove an RD Session Host Server from an RD Session Host Server Group

You can remove an RD Session Host server from an RD Session Host server group in Remote Desktop Services Manager. If the RD Session Host server is a member of more than one RD Session Host server group, the RD Session Host server will only be removed from the specified RD Session Host group.

If you want to remove all RD Session Host servers from an RD Session Host server group, you can use the Empty Group action.

To remove an RD Session Host server from an RD Session Host server group

  1. In Remote Desktop Services Manager, in the left pane, expand the RD Session Host server group from which you want to remove the RD Session Host server.

  2. Click the name of the RD Session Host server, and on the Action menu, click Remove from group.

    The RD Session Host server is removed from the RD Session Host server group.

Additional references

  • Managing Remote Desktop Session Host (RD Session Host) Server Groups

  • Running Remote Desktop Services Manager

  • Add an RD Session Host Server to an RD Session Host Server Group

  • Empty an RD Session Host Server Group


Empty an RD Session Host Server Group

You can remove all RD Session Host servers from an RD Session Host server group in Remote Desktop Services Manager by using the Empty Group action. If you want to remove a specific RD Session Host server from an RD Session Host server group, you can use the Remove from group action.

To empty an RD Session Host server group

  1. In Remote Desktop Services Manager, in the left pane, click the RD Session Host server group that you want to empty.

  2. On the Action menu, click Empty Group, and then click Yes.

    All RD Session Host servers are removed from the RD Session Host server group.

Additional references

  • Managing Remote Desktop Session Host (RD Session Host) Server Groups

  • Running Remote Desktop Services Manager

  • Add an RD Session Host Server to an RD Session Host Server Group

  • Remove an RD Session Host Server from an RD Session Host Server Group


Rename an RD Session Host Server Group

You can rename a Remote Desktop Session Host (RD Session Host) server group in Remote Desktop Services Manager by using the Rename action.

To rename an RD Session Host server group

  1. In Remote Desktop Services Manager, in the left pane, click the RD Session Host server group that you want to rename.

  2. On the Action menu, click Rename, type the new name for the RD Session Host server group, and then press ENTER. The renamed RD Session Host server group will appear in the left pane.

Additional references

  • Managing Remote Desktop Session Host (RD Session Host) Server Groups

  • Running Remote Desktop Services Manager

  • Create an RD Session Host Server Group


Delete an RD Session Host Server Group

You can delete a Remote Desktop Session Host (RD Session Host) server group in Remote Desktop Services Manager by using the Delete action.

The RD Session Host server group must be empty before you can delete the RD Session Host server group. To remove all RD Session Host servers from an RD Session Host server group, use the Empty Group action.

To delete an RD Session Host server group

  1. In Remote Desktop Services Manager, in the left pane, click the RD Session Host server group that you want to delete.

  2. On the Action menu, click Delete. The RD Session Host server group is deleted and will no longer appear in the left pane.

Additional references

  • Managing Remote Desktop Session Host (RD Session Host) Server Groups

  • Running Remote Desktop Services Manager

  • Empty an RD Session Host Server Group

  • Create an RD Session Host Server Group


Import from RD Connection Broker

You can import into Remote Desktop Services Manager a list of Remote Desktop Session Host (RD Session Host) servers that are members of a farm in Remote Desktop Connection Broker (RD Connection Broker) by using the Import from RD Connection Broker action.

To import a list of RD Session Host servers from RD Connection Broker

  1. In Remote Desktop Services Manager, in the left pane, click Remote Desktop Services Manager.

  2. On the Action menu, click Import from RD Connection Broker.

  3. In the Import from RD Connection Broker dialog box, type the NetBIOS name, the fully qualified domain name (FQDN), or the IP address of the RD Connection Broker computer, and then click OK.

    One of the following nodes will appear in the left pane:

    • RD Connection Broker (computername), where computername is the NetBIOS name of the computer that you entered in Step 3.

    • RD Connection Broker (IP address), where IP address is the IP address that you entered in Step 3.

    • RD Connection Broker (FQDN), where FQDN is the FQDN that you entered in Step 3.

Additional considerations

  • You can use the Import from RD Connection Broker action to import a list of RD Session Host servers from a Windows Server 2008 R2 computer running RD Connection Broker.

  • The Import from RD Connection Broker action will automatically add all the RD Session Host server farms that are hosted by the RD Connection Broker computer and will automatically add all the RD Session Host servers that are members of those farms.

  • The RD Session Host servers that are imported will automatically be in a disconnected state. To connect to a specific RD Session Host server, right-click the RD Session Host server to which you want to connect, and then click Connect.

  • The list of RD Session Host servers that are members of the farms is not automatically updated. To update the list of RD Session Host servers that are members of the farms, right-click the appropriate RD Connection Broker node in the left pane, and then click Refresh.

  • You cannot update the list of RD Session Host servers in a specific farm within an RD Connection Broker node; you can only update the entire RD Connection Broker node. To update the list of RD Session Host servers for all farms hosted by an RD Connection Broker computer, right-click the appropriate RD Connection Broker node in the left pane, and then click Refresh.

  • You can use the Import from RD Connection Broker action to import a list of RD Session Host servers from more than one RD Connection Broker computer.

  • You can only delete an entire RD Connection Broker node. You cannot do any of the following:

    • Delete a specific RD Session Host server in a farm listed in an RD Connection Broker node

    • Delete a farm that is listed in an RD Connection Broker node

    • Empty a farm that is listed in an RD Connection Broker node

    • Empty an RD Connection Broker node

    To delete an RD Connection Broker node, click the appropriate node, and on the Action menu, click Delete.

Additional references

  • Managing Remote Desktop Session Host (RD Session Host) Server Groups